#
# Conditional build:
%bcond_without	static_libs	# don't build static library

Summary:	Streamable kanji code filter and converter
Summary(pl.UTF-8):	Strumieniowy filtr i konwerter kodu kanji
Name:		libmbfl
Version:	1.3.2
Release:	4
License:	LGPL 2.1
Group:		Libraries
Source0:	https://github.com/moriyoshi/libmbfl/archive/8d14bff/%{name}-%{version}.tar.gz
# Source0-md5:	7164a4da714f78dde13c222f855887a3
Source1:	ftp://ftp.unicode.org/Public/UNIDATA/EastAsianWidth.txt
# Source1-md5:	e2ec8af9070c1fb3a069e5c76f3ce939
Source2:	ftp://ftp.unicode.org/Public/MAPPINGS/ISO8859/8859-1.TXT
# Source2-md5:	12e09bd6c9c501b55e0f27acaf60c672
Source3:	ftp://ftp.unicode.org/Public/MAPPINGS/ISO8859/8859-2.TXT
# Source3-md5:	9c338678a16843fd60fcd12602f767e5
Source4:	ftp://ftp.unicode.org/Public/MAPPINGS/ISO8859/8859-3.TXT
# Source4-md5:	508e6e6c9944169639d3110e0b973ce0
Source5:	ftp://ftp.unicode.org/Public/MAPPINGS/ISO8859/8859-4.TXT
# Source5-md5:	de68d2887e903b683ac7de31fcf86e04
Source6:	ftp://ftp.unicode.org/Public/MAPPINGS/ISO8859/8859-5.TXT
# Source6-md5:	4c2e46c0b5c710935c6d48a96a930f55
Source7:	ftp://ftp.unicode.org/Public/MAPPINGS/ISO8859/8859-6.TXT
# Source7-md5:	0b6fca3cf6ced7832ec98bd83e9d8573
Source8:	ftp://ftp.unicode.org/Public/MAPPINGS/ISO8859/8859-7.TXT
# Source8-md5:	e6b859201a1a2a4ef070877389351a60
Source9:	ftp://ftp.unicode.org/Public/MAPPINGS/ISO8859/8859-8.TXT
# Source9-md5:	c77336d026dc44cb4bfa23dd89fa9dde
Source10:	ftp://ftp.unicode.org/Public/MAPPINGS/ISO8859/8859-9.TXT
# Source10-md5:	dc12e2b5e874edc397380ffd8ae55ed2
Source11:	ftp://ftp.unicode.org/Public/MAPPINGS/ISO8859/8859-10.TXT
# Source11-md5:	1756fe8a4076a0acbaa84f31f73a5e18
Source12:	ftp://ftp.unicode.org/Public/MAPPINGS/ISO8859/8859-11.TXT
# Source12-md5:	4b5563bdf9716200e25827da7f95580c
Source13:	ftp://ftp.unicode.org/Public/MAPPINGS/ISO8859/8859-13.TXT
# Source13-md5:	f97c84a786088bd85262f57df05408fd
Source14:	ftp://ftp.unicode.org/Public/MAPPINGS/ISO8859/8859-14.TXT
# Source14-md5:	b3d2634fb31883aae57fcfeb06436e2b
Source15:	ftp://ftp.unicode.org/Public/MAPPINGS/ISO8859/8859-15.TXT
# Source15-md5:	f807052642f93374e506682793924df0
Source16:	ftp://ftp.unicode.org/Public/MAPPINGS/ISO8859/8859-16.TXT
# Source16-md5:	f905f3043c0b8265c64fb80ec9e747c3
Source17:	ftp://ftp.unicode.org/Public/UNIDATA/EmojiSources.txt
# Source17-md5:	6dc97737e77191ec1db766d9d55cb7c1
URL:		https://github.com/moriyoshi/libmbfl
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is Libmbfl, a streamable multibyte character code filter and
converter library.

%description -l pl.UTF-8
libmbfl to biblioteka strumieniowego filtra i konwertera
wielobajtowych kodów znaków.

%package devel
Summary:	Header files for libmbfl library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libmbfl
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This is the package containing the header files for libmbfl library.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe biblioteki libmbfl.

%package static
Summary:	Static libmbfl library
Summary(pl.UTF-8):	Statyczna biblioteka libmbfl
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libmbfl library.

%description static -l pl.UTF-8
Statyczna biblioteka libmbfl.

%prep
%setup -qc
mv *libmbfl-*/* .
cp -p %{SOURCE1} mbfl
cp -p %{SOURCE2} filters
cp -p %{SOURCE3} filters
cp -p %{SOURCE4} filters
cp -p %{SOURCE5} filters
cp -p %{SOURCE6} filters
cp -p %{SOURCE7} filters
cp -p %{SOURCE8} filters
cp -p %{SOURCE9} filters
cp -p %{SOURCE10} filters
cp -p %{SOURCE11} filters
cp -p %{SOURCE12} filters
cp -p %{SOURCE13} filters
cp -p %{SOURCE14} filters
cp -p %{SOURCE15} filters
cp -p %{SOURCE16} filters
cp -p %{SOURCE17} filters

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS DISCLAIMER README NEWS
%attr(755,root,root) %{_libdir}/libmbfl.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmbfl.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmbfl.so
%{_libdir}/libmbfl.la
%{_includedir}/mbfl

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libmbfl.a
%endif
%changelog
* Fri Nov 29 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libmbfl.git;a=log;h=master

* Fri Nov 29 2013 Jan Rękorajski <baggins@pld-linux.org> 7cf36e0
- release 4 (by relup.sh)

* Sun Oct 06 2013 Elan Ruusamäe <glen@delfi.ee> 8fa0f67
- update from current master (8d14bff); fixes ill-formed utf-8a handling

* Tue Dec 13 2011 Elan Ruusamäe <glen@pld-linux.org> 6b6dd58
- update to current trunk; that builds

* Mon Dec 12 2011 Elan Ruusamäe <glen@pld-linux.org> 84674a3
- up to 1.3.2

* Sun Aug 07 2011 Elan Ruusamäe <glen@pld-linux.org> fd23834
- fetch EmojiSources.txt

* Sun Aug 07 2011 Elan Ruusamäe <glen@pld-linux.org> 88adde7
- up to 1.3.1, switch to master source

* Sun May 16 2010 Elan Ruusamäe <glen@pld-linux.org> 2e556f7
- switch to git source, up to 1.0.2

* Sun May 16 2010 Elan Ruusamäe <glen@pld-linux.org> acf11c3
- download other ISO mapping files
- ghost soname symlink

* Thu Jul 26 2007 witekfl <witekfl@pld-linux.org> abbc8e1
- added bcond_without static_libs

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> bda073c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> c42344d
- converted to UTF-8

* Sun Jan 08 2006 Jakub Bogusz <qboosh@pld-linux.org> 7bea599
- pl, unified

* Tue Jan 03 2006 Elan Ruusamäe <glen@pld-linux.org> 6ce23f1
- rel 1

* Mon Jan 02 2006 Elan Ruusamäe <glen@pld-linux.org> ec17fbb
- looks like the version is 1.0

* Sun Jan 01 2006 Elan Ruusamäe <glen@pld-linux.org> 9984128
- new, tarball taken from php-5.1.1 sources

